Loading...
Searching...
No Matches
plugin.h File Reference
SPA » Support » Plugin Handle

spa/support/plugin.h More...

Go to the source code of this file.

## Data Structures

struct | spa_handle
struct | spa_interface_info
| This structure lists the information about available interfaces on handles. More...
struct | spa_support
| Extra supporting infrastructure passed to the init() function of a factory. More...
struct | spa_handle_factory

## Macros

#define | SPA_API_PLUGIN static inline
#define | SPA_VERSION_HANDLE 0
| Version of this struct.
#define | SPA_SUPPORT_INIT(type, data)
#define | SPA_VERSION_HANDLE_FACTORY 1
| The version of this structure.
#define | SPA_HANDLE_FACTORY_ENUM_FUNC_NAME "spa_handle_factory_enum"
#define | SPA_KEY_FACTORY_NAME "factory.name"
| the name of a factory
#define | SPA_KEY_FACTORY_AUTHOR "factory.author"
| a comma separated list of factory authors
#define | SPA_KEY_FACTORY_DESCRIPTION "factory.description"
| description of a factory
#define | SPA_KEY_FACTORY_USAGE "factory.usage"
| usage of a factory
#define | SPA_KEY_LIBRARY_NAME "library.name"
| the name of a library.

## Typedefs

typedef int(* | spa_handle_factory_enum_func_t) (const struct spa_handle_factory **factory, uint32_t *index)
| The function signature of the entry point in a plugin.

## Functions

SPA_API_PLUGIN int | spa_handle_get_interface (struct spa_handle *object, const char *type, void **iface)
SPA_API_PLUGIN int | spa_handle_clear (struct spa_handle *object)
SPA_API_PLUGIN void * | spa_support_find (const struct spa_support *support, uint32_t n_support, const char *type)
| Find a support item of the given type.
SPA_API_PLUGIN size_t | spa_handle_factory_get_size (const struct spa_handle_factory *object, const struct spa_dict *params)
SPA_API_PLUGIN int | spa_handle_factory_init (const struct spa_handle_factory *object, struct spa_handle *handle, const struct spa_dict *info, const struct spa_support *support, uint32_t n_support)
SPA_API_PLUGIN int | spa_handle_factory_enum_interface_info (const struct spa_handle_factory *object, const struct spa_interface_info **info, uint32_t *index)
int | spa_handle_factory_enum (const struct spa_handle_factory **factory, uint32_t *index)
| The entry point in a plugin.

## Detailed Description

spa/support/plugin.h

## Macro Definition Documentation

## SPA_API_PLUGIN

#define SPA_API_PLUGIN static inline